Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOAccessArrayFaultHandler
EOAccessFaultHandler
EOAccessGenericFaultHandler
EOAdaptor
EOAdaptorChannel
EOAdaptorContext
EOAdaptorOperation
EOAttribute
EODatabase
EODatabaseChannel
EODatabaseContext
EODatabaseDataSource
EODatabaseOperation
EOEntity
EOEntityClassDescription
EOJoin
EOLoginPanel
EOModel
EOModelGroup
EORelationship
EOSQLExpression
EOSQLExpressionFactory
EOSQLQualifier
EOStoredProcedure

### Protocols

<EOColumnTypes>
<EOPropertyListEncoding>
<EOQualifierSQLGeneration>
(EOAdaptorChannelDelegation)
(EOAdaptorContextDelegation)
(EOAdaptorDelegate)
(EODatabaseContextDelegation)
(EOModelGroupClassDelegation)
(EOModelGroupDelegation)
(EOSchemaSynchronizationDelegates)

### Constants

### Functions

EODatabaseContext_globalIDForObjectWithImpPtr
EODatabaseContext_snapshotForGlobalIDWithImpPtr
GDL2_EOAccessPrivateInit

### Macros

### Types

EOAdaptorOperator
EODatabaseOperator
EODelegateResponse
EOJoinSemantic
EOUpdateStrategy

### Variables

EOAccessFaultObjectNotAvailableException
EOAdaptorContextBeginTransactionNotification
EOAdaptorContextCommitTransactionNotification
EOAdaptorContextRollbackTransactionNotification
EOAdaptorFailureKey
EOAdaptorKey
EOAdaptorOperationsKey
EOAdaptorOptimisticLockingFailure
EOAdministrativeConnectionDictionaryKey
EOAdministrativeConnectionDictionaryNeededNotification
EOAllowsNullKey
EOBindVariableAttributeKey
EOBindVariableColumnKey
EOBindVariableNameKey
EOBindVariablePlaceHolderKey
EOBindVariableValueKey
EOColumnNameKey
EOConnectionDictionaryKey
EOCreateDatabaseKey
EOCreatePrimaryKeySupportKey
EOCreateTablesKey
EOCustomQueryExpressionHintKey
EODatabaseChannelNeededNotification
EODatabaseContextKey
EODatabaseOperationsKey
EODeleteProcedureOperation
EODistantPastTimeInterval
EODropDatabaseKey
EODropPrimaryKeySupportKey
EODropTablesKey
EOEntityLoadedNotification
EOExternalNameKey
EOExternalTypeKey
EOFailedAdaptorOperationKey
EOFailedDatabaseOperationKey
EOFetchAllProcedureOperation
EOFetchWithPrimaryKeyProcedureOperation
EOForeignKeyConstraintsKey
EOGeneralAdaptorException
EOGeneralDatabaseException
EOInsertProcedureOperation
EOModelAddedNotification
EOModelInvalidatedNotification
EOModelKey
EOMoreThanOneException
EONameKey
EONextPrimaryKeyProcedureOperation
EOPrecisionKey
EOPrimaryKeyConstraintsKey
EORelationshipsKey
EOScaleKey
EOSchemaSynchronizationForeignKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeySupportKey
EOStoredProcedureNameHintKey
EOWidthKey
GDL2_EOAttributeClass
GDL2_EODatabaseContextClass
GDL2_EODatabaseContext__globalIDForObjectIMP
GDL2_EODatabaseContext_snapshotForGlobalIDIMP
GDL2_EOEntityClass
GDL2_EORelationshipClass
eqSel
struct _EOTransactionScope

Up

# EOAdaptorChannel

### Authors

Mirko Viviani (`mirko.viviani@gmail.com`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2000,2002,2003,2004,2005 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the EOAdaptorChannel class
2. Software documentation for the EOAdaptorChannel(EOBatchProcessing) category
3. Software documentation for the EOAdaptorChannel(EOStoredProcedures) category
4. Software documentation for the NSObject(EOAdaptorChannelDelegation) informal protocol
5. EOAdaptorChannel variables

# Software documentation for the EOAdaptorChannel class

## EOAdaptorChannel : NSObject

> Declared in:
>   EOAccess/EOAdaptorChannel.h

Description forthcoming.

Instance Variables

### Method summary

- -performAdaptorOperation:
- -performAdaptorOperations:
- -beginSchemaSynchronization
- -endSchemaSynchronization
- -executeStoredProcedure:withValues:
- -returnValuesForLastStoredProcedureInvocation
- +adaptorChannelWithAdaptorContext:
- -adaptorContext
- -addStoredProceduresNamed:toModel:
- -attributesToFetch
- -cancelFetch
- -closeChannel
- -delegate
- -deleteRowDescribedByQualifier:entity:
- -deleteRowsDescribedByQualifier:entity:
- -describeModelWithTableNames:
- -describeResults
- -describeStoredProcedureNames
- -describeTableNames
- -dictionaryWithObjects:forAttributes:zone:
- -evaluateExpression:
- -fetchRowWithZone:
- -initWithAdaptorContext:
- -insertRow:forEntity:
- -isDebugEnabled
- -isFetchInProgress
- -isOpen
- -lockRowComparingAttributes:entity:qualifier:snapshot:
- -openChannel
- -primaryKeyForNewRowWithEntity:
- -primaryKeysForNewRowsWithEntity:count:
- -selectAttributes:fetchSpecification:lock:entity:
- -setAttributesToFetch:
- -setDebugEnabled:
- -setDelegate:
- -updateValues:inRowDescribedByQualifier:entity:
- -updateValues:inRowsDescribedByQualifier:entity:

### adaptorChannelWithAdaptorContext:

+ (EOAdaptorChannel*) adaptorChannelWithAdaptorContext: (EOAdaptorContext*)adaptorContext;
Description forthcoming.

### adaptorContext

- (EOAdaptorContext*) adaptorContext;
Description forthcoming.

### addStoredProceduresNamed: toModel:

- (void) addStoredProceduresNamed: (NSArray*)storedProcedureNames toModel: (EOModel*)model;
Description forthcoming.

### attributesToFetch

- (NSArray*) attributesToFetch;
Description forthcoming.

### cancelFetch

- (void) cancelFetch;
Description forthcoming.

### closeChannel

- (void) closeChannel;
Description forthcoming.

### delegate

- (id) delegate;
Description forthcoming.

### deleteRowDescribedByQualifier: entity:

- (void) deleteRowDescribedByQualifier: (EOQualifier*)qualifier entity: (EOEntity*)entity;
Description forthcoming.

### deleteRowsDescribedByQualifier: entity:

- (NSUInteger) deleteRowsDescribedByQualifier: (EOQualifier*)qualifier entity: (EOEntity*)entity;
Description forthcoming.

### describeModelWithTableNames:

- (EOModel*) describeModelWithTableNames: (NSArray*)tableNames;
Description forthcoming.

### describeResults

- (NSArray*) describeResults;
Description forthcoming.

### describeStoredProcedureNames

- (NSArray*) describeStoredProcedureNames;
Description forthcoming.

### describeTableNames

- (NSArray*) describeTableNames;
Description forthcoming.

### dictionaryWithObjects: forAttributes: zone:

- (NSMutableDictionary*) dictionaryWithObjects: (id*)objects forAttributes: (NSArray*)attributes zone: (NSZone*)zone;
Description forthcoming.

### evaluateExpression:

- (void) evaluateExpression: (EOSQLExpression*)expression;
Description forthcoming.

### fetchRowWithZone:

- (NSMutableDictionary*) fetchRowWithZone: (NSZone*)zone;
Description forthcoming.

### initWithAdaptorContext:

- (id) initWithAdaptorContext: (EOAdaptorContext*)adaptorContext;
Description forthcoming.

### insertRow: forEntity:

- (void) insertRow: (NSDictionary*)row forEntity: (EOEntity*)entity;
Description forthcoming.

### isDebugEnabled

- (BOOL) isDebugEnabled;
Description forthcoming.

### isFetchInProgress

- (BOOL) isFetchInProgress;
Description forthcoming.

### isOpen

- (BOOL) isOpen;
Description forthcoming.

### lockRowComparingAttributes: entity: qualifier: snapshot:

- (void) lockRowComparingAttributes: (NSArray*)attrs entity: (EOEntity*)entity qualifier: (EOQualifier*)qualifier snapshot: (NSDictionary*)snapshot;
Description forthcoming.

### openChannel

- (void) openChannel;
Description forthcoming.

### primaryKeyForNewRowWithEntity:

- (NSDictionary*) primaryKeyForNewRowWithEntity: (EOEntity*)entity;
Database adaptors need to override this

### primaryKeysForNewRowsWithEntity: count:

- (NSArray*) primaryKeysForNewRowsWithEntity: (EOEntity*)entity count: (NSUInteger)count;
The default implementation just calls primaryKeyForNewRowWithEntity count times. you might override this in subclasses for optimized results.

### selectAttributes: fetchSpecification: lock: entity:

- (void) selectAttributes: (NSArray*)attributes fetchSpecification: (EOFetchSpecification*)fetchSpecification lock: (BOOL)flag entity: (EOEntity*)entity;
Description forthcoming.

### setAttributesToFetch:

- (void) setAttributesToFetch: (NSArray*)attributes;
Description forthcoming.

### setDebugEnabled:

- (void) setDebugEnabled: (BOOL)flag;
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)delegate;
Description forthcoming.

### updateValues: inRowDescribedByQualifier: entity:

- (void) updateValues: (NSDictionary*)values inRowDescribedByQualifier: (EOQualifier*)qualifier entity: (EOEntity*)entity;
Description forthcoming.

### updateValues: inRowsDescribedByQualifier: entity:

- (NSUInteger) updateValues: (NSDictionary*)values inRowsDescribedByQualifier: (EOQualifier*)qualifier entity: (EOEntity*)entity;
Description forthcoming.

## Instance Variables for EOAdaptorChannel Class

### _context

@protected EOAdaptorContext* _context;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _debug

@protected BOOL _debug;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _delegate

@protected id _delegate;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the EOAdaptorChannel(EOBatchProcessing) category

## EOAdaptorChannel(EOBatchProcessing)

> Declared in:
>   EOAccess/EOAdaptorChannel.h

Description forthcoming.

### Method summary

- -performAdaptorOperation:
- -performAdaptorOperations:

### performAdaptorOperation:

- (void) performAdaptorOperation: (EOAdaptorOperation*)adaptorOperation;
Description forthcoming.

### performAdaptorOperations:

- (void) performAdaptorOperations: (NSArray*)adaptorOperations;
Description forthcoming.

# Software documentation for the EOAdaptorChannel(EOStoredProcedures) category

## EOAdaptorChannel(EOStoredProcedures)

> Declared in:
>   EOAccess/EOAdaptorChannel.h

Description forthcoming.

### Method summary

- -executeStoredProcedure:withValues:
- -returnValuesForLastStoredProcedureInvocation

### executeStoredProcedure: withValues:

- (void) executeStoredProcedure: (EOStoredProcedure*)storedProcedure withValues: (NSDictionary*)values;
Description forthcoming.

### returnValuesForLastStoredProcedureInvocation

- (NSDictionary*) returnValuesForLastStoredProcedureInvocation;
Description forthcoming.

# Software documentation for the NSObject(EOAdaptorChannelDelegation) informal protocol

## NSObject(EOAdaptorChannelDelegation)

> Declared in:
>   EOAccess/EOAdaptorChannel.h

Description forthcoming.

### Method summary

- -adaptorChannel:didEvaluateExpression:
- -adaptorChannel:didExecuteStoredProcedure:withValues:
- -adaptorChannel:didFetchRow:
- -adaptorChannel:didPerformOperations:exception:
- -adaptorChannel:didSelectAttributes:fetchSpecification:lock:entity:
- -adaptorChannel:shouldEvaluateExpression:
- -adaptorChannel:shouldExecuteStoredProcedure:withValues:
- -adaptorChannel:shouldReturnValuesForStoredProcedure:
- -adaptorChannel:shouldSelectAttributes:fetchSpecification:lock:entity:
- -adaptorChannel:willPerformOperations:
- -adaptorChannelDidChangeResultSet:
- -adaptorChannelDidFinishFetching:
- -adaptorChannelShouldConstructStoredProcedureReturnValues:
- -adaptorChannelWillFetchRow:

### adaptorChannel: didEvaluateExpression:

- (void) adaptorChannel: (id)channel didEvaluateExpression: (EOSQLExpression*)expression;
Description forthcoming.

### adaptorChannel: didExecuteStoredProcedure: withValues:

- (void) adaptorChannel: (id)channel didExecuteStoredProcedure: (EOStoredProcedure*)procedure withValues: (NSDictionary*)values;
Description forthcoming.

### adaptorChannel: didFetchRow:

- (void) adaptorChannel: (id)channel didFetchRow: (NSMutableDictionary*)row;
Description forthcoming.

### adaptorChannel: didPerformOperations: exception:

- (NSException*) adaptorChannel: (id)channel didPerformOperations: (NSArray*)operations exception: (NSException*)exception;
Description forthcoming.

### adaptorChannel: didSelectAttributes: fetchSpecification: lock: entity:

- (void) adaptorChannel: (id)channel didSelectAttributes: (NSArray*)attributes fetchSpecification: (EOFetchSpecification*)fetchSpecification lock: (BOOL)flag entity: (EOEntity*)entity;
Description forthcoming.

### adaptorChannel: shouldEvaluateExpression:

- (BOOL) adaptorChannel: (id)channel shouldEvaluateExpression: (EOSQLExpression*)expression;
Description forthcoming.

### adaptorChannel: shouldExecuteStoredProcedure: withValues:

- (NSDictionary*) adaptorChannel: (id)channel shouldExecuteStoredProcedure: (EOStoredProcedure*)procedure withValues: (NSDictionary*)values;
Description forthcoming.

### adaptorChannel: shouldReturnValuesForStoredProcedure:

- (NSDictionary*) adaptorChannel: (id)channel shouldReturnValuesForStoredProcedure: (NSDictionary*)returnValues;
Description forthcoming.

### adaptorChannel: shouldSelectAttributes: fetchSpecification: lock: entity:

- (BOOL) adaptorChannel: (id)channel shouldSelectAttributes: (NSArray*)attributes fetchSpecification: (EOFetchSpecification*)fetchSpecification lock: (BOOL)flag entity: (EOEntity*)entity;
Description forthcoming.

### adaptorChannel: willPerformOperations:

- (NSArray*) adaptorChannel: (id)channel willPerformOperations: (NSArray*)operations;
Description forthcoming.

### adaptorChannelDidChangeResultSet:

- (void) adaptorChannelDidChangeResultSet: (id)channel;
Description forthcoming.

### adaptorChannelDidFinishFetching:

- (void) adaptorChannelDidFinishFetching: (id)channel;
Description forthcoming.

### adaptorChannelShouldConstructStoredProcedureReturnValues:

- (NSDictionary*) adaptorChannelShouldConstructStoredProcedureReturnValues: (id)channel;
Description forthcoming.

### adaptorChannelWillFetchRow:

- (void) adaptorChannelWillFetchRow: (id)channel;
Description forthcoming.

# EOAdaptorChannel variables

### EOAdaptorFailureKey

NSString* EOAdaptorFailureKey;
Description forthcoming.

### EOAdaptorOperationsKey

NSString* EOAdaptorOperationsKey;
Description forthcoming.

### EOAdaptorOptimisticLockingFailure

NSString* EOAdaptorOptimisticLockingFailure;
Description forthcoming.

### EOFailedAdaptorOperationKey

NSString* EOFailedAdaptorOperationKey;
Description forthcoming.

Up